Subject: [Dots] Intdir last call partial review of draft-ietf-dots-server-discovery-11

From: Zhen Cao via Datatracker <[email-masked]>
Date: Mon, 12 Oct 2020 07:53:58 -0700

Review is partially done. Another assignment may be needed to complete it.

Reviewer: Zhen Cao
Review result: Ready with Nits

Reviewer: Zhen Cao
Review result: Ready with Nits

Thanks the authors for the document.  DOTS server discovery is important to the
functioning of the whole system.

Important: I read Bernie's eary quick review (saying not a full one) for the 01
version [*] and the comments had been addressed in 02 version.   And I think
our AD @Eric needs to check if there is a need for further DHC doctor review.  
 (although I checked there were not much changed on the DHCP parts from r02 to
r11) .

[*]https://github.com/boucadair/draft-ietf-dots-discovery/issues/1

I think most of the other parts looks quite ready except:
a) Section 5.1.2 on the configuration of the ipv4-mapped IPv6 address.
old:    Note, IPv4-mapped IPv6 addresses (Section 2.5.5.2 of [RFC4291])  are
allowed to be included in this option.

I do not know why this is particularly mentioned here given there are many
types of IPv6 address.  I think it 's better to remove this statement since
there are many issues configuring IPv4-mapped address directly.  Some systems
will disable (by default) support for internal  IPv4-mapped IPv6 addresses. 
Some implementations of dual-stack do not allow IPv4-mapped IPv6 addresses to
be used for interoperability between IPv4 and IPv6 applications.  [RFC4038].  
Such discussions do not have to be present here.

b) the first sentence of the abstract: s/Districuted/Distributed.

---

From: <[email-masked]>
Date: Tue, 13 Oct 2020 06:29:33 +0000

Hi Zhen, 

Thank you for the review. 

Please see inline.

Cheers,
Med 

> -----Message d'origine-----
> De : Zhen Cao via Datatracker [mailto:[email-masked]]
> Envoyé : lundi 12 octobre 2020 16:54
> À : [email-masked]
> Cc : [email-masked]; last-
> [email-masked]; [email-masked]
> Objet : Intdir last call partial review of draft-ietf-dots-server-
> discovery-11
> 
> 
> Thanks the authors for the document.  DOTS server discovery is
> important to the functioning of the whole system.
> 
> I do not know why this is particularly mentioned here given there
> are many types of IPv6 address. 

[Med] As you can read for example in https://tools.ietf.org/html/rfc6052#section-4.2 or https://tools.ietf.org/html/rfc6724#section-3.2, these addresses are handled as IPv4 ones. This would allow to use DHCPv6 to communicate both IPv6 and IPv4 addresses to reach a dual-stack DOTS agent.    

 I think it 's better to remove this
> statement since there are many issues configuring IPv4-mapped
> address directly.  Some systems will disable (by default) support
> for internal  IPv4-mapped IPv6 addresses.

[Med] The intent of the sentence you quoted is to avoid such behaviors and allow to use such addresses as per the RFCs listed above. 

> Some implementations of dual-stack do not allow IPv4-mapped IPv6
> addresses to be used for interoperability between IPv4 and IPv6
> applications.  [RFC4038].

[Med] Fixed. Thanks. 

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.